Get specific daily record
curl --request GET \
--url https://api.onvy.health/users/{user_id}/daily_records/{type}/{day}/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onvy.health/users/{user_id}/daily_records/{type}/{day}/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onvy.health/users/{user_id}/daily_records/{type}/{day}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"project_id": "<string>",
"date": "2023-12-25",
"name": "<string>",
"type": "<string>",
"value": 50,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"providers": [
"GARMIN"
],
"ref": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}daily-records
Get specific daily record
Get a specific daily record by name and date
GET
/
users
/
{user_id}
/
daily_records
/
{type}
/
{day}
/
{name}
Get specific daily record
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Record type (scores, zones, or logs)
Available options:
scores, zones, logs Date (YYYY-MM-DD)
Record name (e.g., ActivityScore)
Response
Daily record details
- DailyRecordScore
- DailyRecordZone
- DailyRecordHabitLog
Score name
Score value (0-100)
Required range:
0 <= x <= 100Available options:
GARMIN, APPLE, OURA, FITBIT, WHOOP Optional reference to source data
Was this page helpful?